Red Hat: 2013:1475-01: postgresql and postgresql84: Moderate Advisory
Posted by Benjamin D. Thomas   
RedHat Linux Updated postgresql and postgresql84 packages that fix two security issues are now available for Red Hat Enterprise Linux 5 and 6. The Red Hat Security Response Team has rated this update as having moderate [More...]
=====================================================================
                   Red Hat Security Advisory

Synopsis:          Moderate: postgresql and postgresql84 security update
Advisory ID:       RHSA-2013:1475-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://rhn.redhat.com/errata/RHSA-2013-1475.html
Issue date:        2013-10-29
CVE Names:         CVE-2013-0255 CVE-2013-1900 
=====================================================================

1. Summary:

Updated postgresql and postgresql84 packages that fix two security issues
are now available for Red Hat Enterprise Linux 5 and 6.

The Red Hat Security Response Team has rated this update as having moderate
security impact. Common Vulnerability Scoring System (CVSS) base scores,
which give detailed severity ratings, are available for each vulnerability
from the CVE links in the References section.

2. Relevant releases/architectures:

RHEL Desktop Workstation (v. 5 client) - i386, x86_64
Red Hat Enterprise Linux (v. 5 server) - i386, ia64, ppc, s390x, x86_64
Red Hat Enterprise Linux Desktop (v. 5 client) - i386, x86_64
Red Hat Enterprise Linux Desktop (v. 6) - i386, x86_64
Red Hat Enterprise Linux Desktop Optional (v. 6) - i386, x86_64
Red Hat Enterprise Linux HPC Node (v. 6) - x86_64
Red Hat Enterprise Linux HPC Node Optional (v. 6) - x86_64
Red Hat Enterprise Linux Server (v. 6) - i386, ppc64, s390x, x86_64
Red Hat Enterprise Linux Workstation (v. 6) - i386, x86_64

3. Description:

PostgreSQL is an advanced object-relational database management system
(DBMS).

An array index error, leading to a heap-based out-of-bounds buffer read
flaw, was found in the way PostgreSQL performed certain error processing
using enumeration types. An unprivileged database user could issue a
specially crafted SQL query that, when processed by the server component of
the PostgreSQL service, would lead to a denial of service (daemon crash) or
disclosure of certain portions of server memory. (CVE-2013-0255)

A flaw was found in the way the pgcrypto contrib module of PostgreSQL
(re)initialized its internal random number generator. This could lead to
random numbers with less bits of entropy being used by certain pgcrypto
functions, possibly allowing an attacker to conduct other attacks.
(CVE-2013-1900)

Red Hat would like to thank the PostgreSQL project for reporting these
issues. Upstream acknowledges Sumit Soni via Secunia SVCRP as the original
reporter of CVE-2013-0255, and Marko Kreen as the original reporter of
CVE-2013-1900.

These updated packages upgrade PostgreSQL to version 8.4.18, which fixes
these issues as well as several non-security issues. Refer to the
PostgreSQL Release Notes for a full list of changes:

http://www.postgresql.org/docs/8.4/static/release-8-4-18.html

After installing this update, it is advisable to rebuild, using the REINDEX
command, Generalized Search Tree (GiST) indexes that meet one or more of
the following conditions:

- - GiST indexes on box, polygon, circle, or point columns

- - GiST indexes for variable-width data types, that is text, bytea, bit, and
numeric

- - GiST multi-column indexes

All PostgreSQL users are advised to upgrade to these updated packages,
which contain backported patches to correct these issues. If the postgresql
service is running, it will be automatically restarted after installing
this update.

4. Solution:

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
https://access.redhat.com/site/articles/11258

5. Bugs fixed (http://bugzilla.redhat.com/):

907892 - CVE-2013-0255 postgresql: array indexing error in enum_recv()
929255 - CVE-2013-1900 postgresql: Improper randomization of pgcrypto functions (requiring random seed)

6. Package List:

Red Hat Enterprise Linux Desktop (v. 5 client):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Client/en/os/SRPMS/postgresql84-8.4.18-1.el5_10.src.rpm

i386:
postgresql84-8.4.18-1.el5_10.i386.rpm
postgresql84-contrib-8.4.18-1.el5_10.i386.rpm
postgresql84-debuginfo-8.4.18-1.el5_10.i386.rpm
postgresql84-docs-8.4.18-1.el5_10.i386.rpm
postgresql84-libs-8.4.18-1.el5_10.i386.rpm
postgresql84-python-8.4.18-1.el5_10.i386.rpm
postgresql84-tcl-8.4.18-1.el5_10.i386.rpm

x86_64:
postgresql84-8.4.18-1.el5_10.x86_64.rpm
postgresql84-contrib-8.4.18-1.el5_10.x86_64.rpm
postgresql84-debuginfo-8.4.18-1.el5_10.i386.rpm
postgresql84-debuginfo-8.4.18-1.el5_10.x86_64.rpm
postgresql84-docs-8.4.18-1.el5_10.x86_64.rpm
postgresql84-libs-8.4.18-1.el5_10.i386.rpm
postgresql84-libs-8.4.18-1.el5_10.x86_64.rpm
postgresql84-python-8.4.18-1.el5_10.x86_64.rpm
postgresql84-tcl-8.4.18-1.el5_10.x86_64.rpm

RHEL Desktop Workstation (v. 5 client):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Client/en/os/SRPMS/postgresql84-8.4.18-1.el5_10.src.rpm

i386:
postgresql84-debuginfo-8.4.18-1.el5_10.i386.rpm
postgresql84-devel-8.4.18-1.el5_10.i386.rpm
postgresql84-plperl-8.4.18-1.el5_10.i386.rpm
postgresql84-plpython-8.4.18-1.el5_10.i386.rpm
postgresql84-pltcl-8.4.18-1.el5_10.i386.rpm
postgresql84-server-8.4.18-1.el5_10.i386.rpm
postgresql84-test-8.4.18-1.el5_10.i386.rpm

x86_64:
postgresql84-debuginfo-8.4.18-1.el5_10.i386.rpm
postgresql84-debuginfo-8.4.18-1.el5_10.x86_64.rpm
postgresql84-devel-8.4.18-1.el5_10.i386.rpm
postgresql84-devel-8.4.18-1.el5_10.x86_64.rpm
postgresql84-plperl-8.4.18-1.el5_10.x86_64.rpm
postgresql84-plpython-8.4.18-1.el5_10.x86_64.rpm
postgresql84-pltcl-8.4.18-1.el5_10.x86_64.rpm
postgresql84-server-8.4.18-1.el5_10.x86_64.rpm
postgresql84-test-8.4.18-1.el5_10.x86_64.rpm

Red Hat Enterprise Linux (v. 5 server):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Server/en/os/SRPMS/postgresql84-8.4.18-1.el5_10.src.rpm

i386:
postgresql84-8.4.18-1.el5_10.i386.rpm
postgresql84-contrib-8.4.18-1.el5_10.i386.rpm
postgresql84-debuginfo-8.4.18-1.el5_10.i386.rpm
postgresql84-devel-8.4.18-1.el5_10.i386.rpm
postgresql84-docs-8.4.18-1.el5_10.i386.rpm
postgresql84-libs-8.4.18-1.el5_10.i386.rpm
postgresql84-plperl-8.4.18-1.el5_10.i386.rpm
postgresql84-plpython-8.4.18-1.el5_10.i386.rpm
postgresql84-pltcl-8.4.18-1.el5_10.i386.rpm
postgresql84-python-8.4.18-1.el5_10.i386.rpm
postgresql84-server-8.4.18-1.el5_10.i386.rpm
postgresql84-tcl-8.4.18-1.el5_10.i386.rpm
postgresql84-test-8.4.18-1.el5_10.i386.rpm

ia64:
postgresql84-8.4.18-1.el5_10.ia64.rpm
postgresql84-contrib-8.4.18-1.el5_10.ia64.rpm
postgresql84-debuginfo-8.4.18-1.el5_10.ia64.rpm
postgresql84-devel-8.4.18-1.el5_10.ia64.rpm
postgresql84-docs-8.4.18-1.el5_10.ia64.rpm
postgresql84-libs-8.4.18-1.el5_10.ia64.rpm
postgresql84-plperl-8.4.18-1.el5_10.ia64.rpm
postgresql84-plpython-8.4.18-1.el5_10.ia64.rpm
postgresql84-pltcl-8.4.18-1.el5_10.ia64.rpm
postgresql84-python-8.4.18-1.el5_10.ia64.rpm
postgresql84-server-8.4.18-1.el5_10.ia64.rpm
postgresql84-tcl-8.4.18-1.el5_10.ia64.rpm
postgresql84-test-8.4.18-1.el5_10.ia64.rpm

ppc:
postgresql84-8.4.18-1.el5_10.ppc.rpm
postgresql84-8.4.18-1.el5_10.ppc64.rpm
postgresql84-contrib-8.4.18-1.el5_10.ppc.rpm
postgresql84-debuginfo-8.4.18-1.el5_10.ppc.rpm
postgresql84-debuginfo-8.4.18-1.el5_10.ppc64.rpm
postgresql84-devel-8.4.18-1.el5_10.ppc.rpm
postgresql84-devel-8.4.18-1.el5_10.ppc64.rpm
postgresql84-docs-8.4.18-1.el5_10.ppc.rpm
postgresql84-libs-8.4.18-1.el5_10.ppc.rpm
postgresql84-libs-8.4.18-1.el5_10.ppc64.rpm
postgresql84-plperl-8.4.18-1.el5_10.ppc.rpm
postgresql84-plpython-8.4.18-1.el5_10.ppc.rpm
postgresql84-pltcl-8.4.18-1.el5_10.ppc.rpm
postgresql84-python-8.4.18-1.el5_10.ppc.rpm
postgresql84-server-8.4.18-1.el5_10.ppc.rpm
postgresql84-tcl-8.4.18-1.el5_10.ppc.rpm
postgresql84-test-8.4.18-1.el5_10.ppc.rpm

s390x:
postgresql84-8.4.18-1.el5_10.s390x.rpm
postgresql84-contrib-8.4.18-1.el5_10.s390x.rpm
postgresql84-debuginfo-8.4.18-1.el5_10.s390.rpm
postgresql84-debuginfo-8.4.18-1.el5_10.s390x.rpm
postgresql84-devel-8.4.18-1.el5_10.s390.rpm
postgresql84-devel-8.4.18-1.el5_10.s390x.rpm
postgresql84-docs-8.4.18-1.el5_10.s390x.rpm
postgresql84-libs-8.4.18-1.el5_10.s390.rpm
postgresql84-libs-8.4.18-1.el5_10.s390x.rpm
postgresql84-plperl-8.4.18-1.el5_10.s390x.rpm
postgresql84-plpython-8.4.18-1.el5_10.s390x.rpm
postgresql84-pltcl-8.4.18-1.el5_10.s390x.rpm
postgresql84-python-8.4.18-1.el5_10.s390x.rpm
postgresql84-server-8.4.18-1.el5_10.s390x.rpm
postgresql84-tcl-8.4.18-1.el5_10.s390x.rpm
postgresql84-test-8.4.18-1.el5_10.s390x.rpm

x86_64:
postgresql84-8.4.18-1.el5_10.x86_64.rpm
postgresql84-contrib-8.4.18-1.el5_10.x86_64.rpm
postgresql84-debuginfo-8.4.18-1.el5_10.i386.rpm
postgresql84-debuginfo-8.4.18-1.el5_10.x86_64.rpm
postgresql84-devel-8.4.18-1.el5_10.i386.rpm
postgresql84-devel-8.4.18-1.el5_10.x86_64.rpm
postgresql84-docs-8.4.18-1.el5_10.x86_64.rpm
postgresql84-libs-8.4.18-1.el5_10.i386.rpm
postgresql84-libs-8.4.18-1.el5_10.x86_64.rpm
postgresql84-plperl-8.4.18-1.el5_10.x86_64.rpm
postgresql84-plpython-8.4.18-1.el5_10.x86_64.rpm
postgresql84-pltcl-8.4.18-1.el5_10.x86_64.rpm
postgresql84-python-8.4.18-1.el5_10.x86_64.rpm
postgresql84-server-8.4.18-1.el5_10.x86_64.rpm
postgresql84-tcl-8.4.18-1.el5_10.x86_64.rpm
postgresql84-test-8.4.18-1.el5_10.x86_64.rpm

Red Hat Enterprise Linux Desktop (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Client/en/os/SRPMS/postgresql-8.4.18-1.el6_4.src.rpm

i386:
postgresql-debuginfo-8.4.18-1.el6_4.i686.rpm
postgresql-libs-8.4.18-1.el6_4.i686.rpm

x86_64:
postgresql-debuginfo-8.4.18-1.el6_4.i686.rpm
postgresql-debuginfo-8.4.18-1.el6_4.x86_64.rpm
postgresql-libs-8.4.18-1.el6_4.i686.rpm
postgresql-libs-8.4.18-1.el6_4.x86_64.rpm

Red Hat Enterprise Linux Desktop Optional (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Client/en/os/SRPMS/postgresql-8.4.18-1.el6_4.src.rpm

i386:
postgresql-8.4.18-1.el6_4.i686.rpm
postgresql-contrib-8.4.18-1.el6_4.i686.rpm
postgresql-debuginfo-8.4.18-1.el6_4.i686.rpm
postgresql-devel-8.4.18-1.el6_4.i686.rpm
postgresql-docs-8.4.18-1.el6_4.i686.rpm
postgresql-plperl-8.4.18-1.el6_4.i686.rpm
postgresql-plpython-8.4.18-1.el6_4.i686.rpm
postgresql-pltcl-8.4.18-1.el6_4.i686.rpm
postgresql-server-8.4.18-1.el6_4.i686.rpm
postgresql-test-8.4.18-1.el6_4.i686.rpm

x86_64:
postgresql-8.4.18-1.el6_4.i686.rpm
postgresql-8.4.18-1.el6_4.x86_64.rpm
postgresql-contrib-8.4.18-1.el6_4.x86_64.rpm
postgresql-debuginfo-8.4.18-1.el6_4.i686.rpm
postgresql-debuginfo-8.4.18-1.el6_4.x86_64.rpm
postgresql-devel-8.4.18-1.el6_4.i686.rpm
postgresql-devel-8.4.18-1.el6_4.x86_64.rpm
postgresql-docs-8.4.18-1.el6_4.x86_64.rpm
postgresql-plperl-8.4.18-1.el6_4.x86_64.rpm
postgresql-plpython-8.4.18-1.el6_4.x86_64.rpm
postgresql-pltcl-8.4.18-1.el6_4.x86_64.rpm
postgresql-server-8.4.18-1.el6_4.x86_64.rpm
postgresql-test-8.4.18-1.el6_4.x86_64.rpm

Red Hat Enterprise Linux HPC Node (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6ComputeNode/en/os/SRPMS/postgresql-8.4.18-1.el6_4.src.rpm

x86_64:
postgresql-8.4.18-1.el6_4.i686.rpm
postgresql-8.4.18-1.el6_4.x86_64.rpm
postgresql-debuginfo-8.4.18-1.el6_4.i686.rpm
postgresql-debuginfo-8.4.18-1.el6_4.x86_64.rpm
postgresql-libs-8.4.18-1.el6_4.i686.rpm
postgresql-libs-8.4.18-1.el6_4.x86_64.rpm

Red Hat Enterprise Linux HPC Node Optional (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6ComputeNode/en/os/SRPMS/postgresql-8.4.18-1.el6_4.src.rpm

x86_64:
postgresql-contrib-8.4.18-1.el6_4.x86_64.rpm
postgresql-debuginfo-8.4.18-1.el6_4.i686.rpm
postgresql-debuginfo-8.4.18-1.el6_4.x86_64.rpm
postgresql-devel-8.4.18-1.el6_4.i686.rpm
postgresql-devel-8.4.18-1.el6_4.x86_64.rpm
postgresql-docs-8.4.18-1.el6_4.x86_64.rpm
postgresql-plperl-8.4.18-1.el6_4.x86_64.rpm
postgresql-plpython-8.4.18-1.el6_4.x86_64.rpm
postgresql-pltcl-8.4.18-1.el6_4.x86_64.rpm
postgresql-server-8.4.18-1.el6_4.x86_64.rpm
postgresql-test-8.4.18-1.el6_4.x86_64.rpm

Red Hat Enterprise Linux Server (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Server/en/os/SRPMS/postgresql-8.4.18-1.el6_4.src.rpm

i386:
postgresql-8.4.18-1.el6_4.i686.rpm
postgresql-contrib-8.4.18-1.el6_4.i686.rpm
postgresql-debuginfo-8.4.18-1.el6_4.i686.rpm
postgresql-devel-8.4.18-1.el6_4.i686.rpm
postgresql-docs-8.4.18-1.el6_4.i686.rpm
postgresql-libs-8.4.18-1.el6_4.i686.rpm
postgresql-plperl-8.4.18-1.el6_4.i686.rpm
postgresql-plpython-8.4.18-1.el6_4.i686.rpm
postgresql-pltcl-8.4.18-1.el6_4.i686.rpm
postgresql-server-8.4.18-1.el6_4.i686.rpm
postgresql-test-8.4.18-1.el6_4.i686.rpm

ppc64:
postgresql-8.4.18-1.el6_4.ppc.rpm
postgresql-8.4.18-1.el6_4.ppc64.rpm
postgresql-contrib-8.4.18-1.el6_4.ppc64.rpm
postgresql-debuginfo-8.4.18-1.el6_4.ppc.rpm
postgresql-debuginfo-8.4.18-1.el6_4.ppc64.rpm
postgresql-devel-8.4.18-1.el6_4.ppc.rpm
postgresql-devel-8.4.18-1.el6_4.ppc64.rpm
postgresql-docs-8.4.18-1.el6_4.ppc64.rpm
postgresql-libs-8.4.18-1.el6_4.ppc.rpm
postgresql-libs-8.4.18-1.el6_4.ppc64.rpm
postgresql-plperl-8.4.18-1.el6_4.ppc64.rpm
postgresql-plpython-8.4.18-1.el6_4.ppc64.rpm
postgresql-pltcl-8.4.18-1.el6_4.ppc64.rpm
postgresql-server-8.4.18-1.el6_4.ppc64.rpm
postgresql-test-8.4.18-1.el6_4.ppc64.rpm

s390x:
postgresql-8.4.18-1.el6_4.s390.rpm
postgresql-8.4.18-1.el6_4.s390x.rpm
postgresql-contrib-8.4.18-1.el6_4.s390x.rpm
postgresql-debuginfo-8.4.18-1.el6_4.s390.rpm
postgresql-debuginfo-8.4.18-1.el6_4.s390x.rpm
postgresql-devel-8.4.18-1.el6_4.s390.rpm
postgresql-devel-8.4.18-1.el6_4.s390x.rpm
postgresql-docs-8.4.18-1.el6_4.s390x.rpm
postgresql-libs-8.4.18-1.el6_4.s390.rpm
postgresql-libs-8.4.18-1.el6_4.s390x.rpm
postgresql-plperl-8.4.18-1.el6_4.s390x.rpm
postgresql-plpython-8.4.18-1.el6_4.s390x.rpm
postgresql-pltcl-8.4.18-1.el6_4.s390x.rpm
postgresql-server-8.4.18-1.el6_4.s390x.rpm
postgresql-test-8.4.18-1.el6_4.s390x.rpm

x86_64:
postgresql-8.4.18-1.el6_4.i686.rpm
postgresql-8.4.18-1.el6_4.x86_64.rpm
postgresql-contrib-8.4.18-1.el6_4.x86_64.rpm
postgresql-debuginfo-8.4.18-1.el6_4.i686.rpm
postgresql-debuginfo-8.4.18-1.el6_4.x86_64.rpm
postgresql-devel-8.4.18-1.el6_4.i686.rpm
postgresql-devel-8.4.18-1.el6_4.x86_64.rpm
postgresql-docs-8.4.18-1.el6_4.x86_64.rpm
postgresql-libs-8.4.18-1.el6_4.i686.rpm
postgresql-libs-8.4.18-1.el6_4.x86_64.rpm
postgresql-plperl-8.4.18-1.el6_4.x86_64.rpm
postgresql-plpython-8.4.18-1.el6_4.x86_64.rpm
postgresql-pltcl-8.4.18-1.el6_4.x86_64.rpm
postgresql-server-8.4.18-1.el6_4.x86_64.rpm
postgresql-test-8.4.18-1.el6_4.x86_64.rpm

Red Hat Enterprise Linux Workstation (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Workstation/en/os/SRPMS/postgresql-8.4.18-1.el6_4.src.rpm

i386:
postgresql-8.4.18-1.el6_4.i686.rpm
postgresql-contrib-8.4.18-1.el6_4.i686.rpm
postgresql-debuginfo-8.4.18-1.el6_4.i686.rpm
postgresql-devel-8.4.18-1.el6_4.i686.rpm
postgresql-docs-8.4.18-1.el6_4.i686.rpm
postgresql-libs-8.4.18-1.el6_4.i686.rpm
postgresql-plperl-8.4.18-1.el6_4.i686.rpm
postgresql-plpython-8.4.18-1.el6_4.i686.rpm
postgresql-pltcl-8.4.18-1.el6_4.i686.rpm
postgresql-server-8.4.18-1.el6_4.i686.rpm
postgresql-test-8.4.18-1.el6_4.i686.rpm

x86_64:
postgresql-8.4.18-1.el6_4.i686.rpm
postgresql-8.4.18-1.el6_4.x86_64.rpm
postgresql-contrib-8.4.18-1.el6_4.x86_64.rpm
postgresql-debuginfo-8.4.18-1.el6_4.i686.rpm
postgresql-debuginfo-8.4.18-1.el6_4.x86_64.rpm
postgresql-devel-8.4.18-1.el6_4.i686.rpm
postgresql-devel-8.4.18-1.el6_4.x86_64.rpm
postgresql-docs-8.4.18-1.el6_4.x86_64.rpm
postgresql-libs-8.4.18-1.el6_4.i686.rpm
postgresql-libs-8.4.18-1.el6_4.x86_64.rpm
postgresql-plperl-8.4.18-1.el6_4.x86_64.rpm
postgresql-plpython-8.4.18-1.el6_4.x86_64.rpm
postgresql-pltcl-8.4.18-1.el6_4.x86_64.rpm
postgresql-server-8.4.18-1.el6_4.x86_64.rpm
postgresql-test-8.4.18-1.el6_4.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/#package

7. References:

https://www.redhat.com/security/data/cve/CVE-2013-0255.html
https://www.redhat.com/security/data/cve/CVE-2013-1900.html
https://access.redhat.com/security/updates/classification/#moderate
http://www.postgresql.org/docs/8.4/static/release-8-4-18.html

8. Contact:

The Red Hat security contact is .  More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2013 Red Hat, Inc.